Page MenuHomePhabricator

[Bug] Text isn't changed after accepting Text Source property
Closed, ResolvedPublic2 Story Points

Description

Reproduce:

  1. Create empty project
  2. Add part 'test' Text with parameters[font:Sans, text:Hello, size:55, colour:black]
  3. Add part 'test2' Text with text:TEST
  4. Select 'test' in Text.source

Actual result:
Nothing changed

Expected result:
Part test2 should displayed [font:Sans, text:TEST, size:55, color:black]

QA_Igor created this task.Jul 11 2016, 10:51 PM
FurryMyad set the point value for this task to 2.
FurryMyad moved this task from KanBan (Bugs pool) to Eflete 0.7 on the Eflete board.
FurryMyad edited projects, added Eflete (Eflete 0.7); removed Eflete.
FurryMyad moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.

it copy only font (from test to test2)
and size (from test to test2)

BUT if originally test2 font size is not 0, then source would ignore such behaviour

Example 1:

parttesttest2
fontArialSans
size2530

source for 'test2' is set to 'test' will make:
test2 font=Arial; test2 size=253;

Example 2:

parttesttest2
fontArialSans
size25368

source for 'test2' is set to 'test' will make:
test2 font=Arial; test2 size=68;

This is correct behavior for now!

FurryMyad moved this task from Doing to Review on the Eflete (Eflete 0.7) board.Jul 13 2016, 4:58 AM
QA_Igor moved this task from Review to Done on the Eflete (Eflete 0.7) board.Jul 15 2016, 5:13 AM
rimmed closed this task as Resolved.Jul 18 2016, 4:15 AM